#!/bin/sh

if [ `whoami` != "fxa" ]; then
	echo 'Login as user fxa to run script'
	exit
fi

if [ "$FXA_LOCAL_SITE" == "" ]; then
	echo 'No FXA_LOCAL_SITE variable set'
	exit
fi

machost=`hostname | cut -c1-3`
if [ $machost != "px1" ]; then
	echo 'Script should be run from PX1'
	exit
fi

echo 'Making directories...'

cd /data/fxa/sat/SBN/netCDF
mkdir LOCAL
cd LOCAL
mkdir GOES
cd GOES
mkdir temp
mkdir EAST
cd EAST
mkdir 8KM
cd 8KM
mkdir CAPE
mkdir Ozone

echo 'Directories made.'
echo 'See /data/fxa/sat/SBN/netCDF/LOCAL'
